SDL_randf(3)

NAME
SDL_randf - Generate a uniform pseudo-random floating point number less than 1.0

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_randf(void);

DESCRIPTION
If you want reproducible output, be sure to initialize with SDL_srand() first.

There are no guarantees as to the quality of the random sequence produced, and this should not be used for security (cryptography, passwords) or where money is on the line (loot-boxes, casinos). There are many random number libraries available with different characteristics and you should pick one of those to meet any serious needs.

RETURN VALUE
Returns a random value in the range of [0.0, 1.0).

THREAD SAFETY
All calls should be made from a single thread

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_srand(3), SDL_rand(3)